Install Agent
Install app monitoring agent on specified resource.
vCenters mapping should be present for this API to work.
Correct configuration for vCenters mapping -
vCenter is mapped to individual CP or CP part of non HA collector group.
vCenter is mapped to HA enabled collector group.
vCenters mapping APIs -
Create vCenters mappings API POST /api/applications/vccpmappings.
Delete vCenters mapping API DELETE /api/applications/vccpmappings.
Credentials of resources required to install the agent
Show optional properties
{
"resourceCredentials": [
{
"password": "string",
"resourceId": "string",
"username": "string"
}
]
}
"{\n \"resourceCredentials\" : [ {\n \"resourceId\" : \"05f5cb2b-eecf-41fd-a07a-715108781ccc\",\n \"username\" : \"vm_username1\",\n \"password\" : \"vm_password1\",\n \"addRuntimeUser\" : true\n }, {\n \"resourceId\" : \"851793b1-4818-4db0-89d6-c3ab7284391e\",\n \"username\" : \"vm_username2\",\n \"password\" : \"vm_password2\",\n \"addRuntimeUser\" : true\n } ],\n \"retainTelegrafConf\" : true\n}"
List of resource credentials
Flag that indicates to retain telegraf to preserve configuration, default value is true
The result of task status
"{\n \"taskStatuses\" : [ {\n \"taskID\" : \"task_id_1\",\n \"resources\" : [ \"vm_id_1\", \"vm_id_2\" ]\n }, {\n \"taskID\" : \"task_id_2\",\n \"resources\" : [ \"vm_id_3\", \"vm_id_4\" ]\n } ]\n}"
Collection of agent task statuses
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"resourceCredentials":["object"]}' https://{api_host}/suite-api/api/applications/agents